Get a partner customer
curl --request GET \
--url https://swapnice-gateway-dev.ceo-cbc.workers.dev/v1/customers/{customer_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://swapnice-gateway-dev.ceo-cbc.workers.dev/v1/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://swapnice-gateway-dev.ceo-cbc.workers.dev/v1/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"app_id": "<string>",
"external_id": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"profile": {
"username": "<string>",
"bio_markdown": "<string>",
"avatar_url": "<string>",
"banner_url": "<string>",
"public_location": {
"city": "<string>",
"state": "<string>",
"country": "<string>",
"metro_code": "<string>"
}
},
"metadata": {}
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Customers
Get a customer
Read the partner customer record Swapnice assigned.
GET
/
v1
/
customers
/
{customer_id}
Get a partner customer
curl --request GET \
--url https://swapnice-gateway-dev.ceo-cbc.workers.dev/v1/customers/{customer_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://swapnice-gateway-dev.ceo-cbc.workers.dev/v1/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://swapnice-gateway-dev.ceo-cbc.workers.dev/v1/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"app_id": "<string>",
"external_id": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"profile": {
"username": "<string>",
"bio_markdown": "<string>",
"avatar_url": "<string>",
"banner_url": "<string>",
"public_location": {
"city": "<string>",
"state": "<string>",
"country": "<string>",
"metro_code": "<string>"
}
},
"metadata": {}
}{
"error": {
"code": "consent_denied",
"message": "<string>",
"request_id": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
]
}
}Read the partner customer record Swapnice assigned.
Use the returned
id on connection, consent, event, and profile calls.Authorizations
OAuth 2.1 authorization code with PKCE. Implicit and password flows are unsupported.